C ... Setup for I/O in MODIS DB Cloud Top Properties and Cloud Phase
C ...  Determination
c ..................................................................
C *** INPUT ECOSYSTEM FILES ***

c 1KM ECOSYSTEM 
c --- Fortran OPEN 
      integer		ECO_1KM_UNIT
      parameter		(ECO_1KM_UNIT = 10) 
      character*3	ECO_1KM_STATUS
      parameter		(ECO_1KM_STATUS = 'OLD')
      character*11	ECO_1KM_FORM
      parameter		(ECO_1KM_FORM = 'UNFORMATTED')
      character*6	ECO_1KM_ACCESS
      parameter		(ECO_1KM_ACCESS = 'DIRECT')
      integer		ECO_1KM_RECL
      parameter		(ECO_1KM_RECL = 512)


C *** INPUT DATA FILES ***

c MOD02 1KM 
c --- Fortran OPEN 
      integer		L1B_1KM_UNIT
      parameter		(L1B_1KM_UNIT = 31) 
      character*11	L1B_1KM_FORM
      parameter		(L1B_1KM_FORM = 'UNFORMATTED')
      character*6	L1B_1KM_ACCESS
      parameter		(L1B_1KM_ACCESS = 'DIRECT')
      character*3	L1B_1KM_STATUS
      parameter		(L1B_1KM_STATUS = 'OLD')


c MOD03 GE0
c --- Fortran OPEN 
      integer		GEO_1KM_UNIT
      parameter		(GEO_1KM_UNIT = 32) 
      character*11	GEO_1KM_FORM
      parameter		(GEO_1KM_FORM = 'UNFORMATTED')
      character*6	GEO_1KM_ACCESS
      parameter		(GEO_1KM_ACCESS = 'DIRECT')
      character*3	GEO_1KM_STATUS
      parameter		(GEO_1KM_STATUS = 'OLD')

 

c MOD02 Scan Metadata 
c --- Fortran OPEN 
      integer		SCAN_1KM_UNIT
      parameter		(SCAN_1KM_UNIT = 33) 
      character*3	SCAN_1KM_STATUS
      parameter		(SCAN_1KM_STATUS = 'OLD')
      character*11	SCAN_1KM_FORM
      parameter		(SCAN_1KM_FORM = 'UNFORMATTED')
      character*6	SCAN_1KM_ACCESS
      parameter		(SCAN_1KM_ACCESS = 'DIRECT')
      integer		SCAN_1KM_RECL
      parameter		(SCAN_1KM_RECL = 2)

c ANC REYNOLDS BLENDED SST FILE
c --- Fortran OPEN
      integer           OISST_UNIT
      parameter         (OISST_UNIT = 34)
      character*3       OISST_STATUS
      parameter         (OISST_STATUS = 'OLD')
      character*11      OISST_FORM
      parameter         (OISST_FORM = 'UNFORMATTED')
      character*6       OISST_ACCESS
      parameter         (OISST_ACCESS = 'DIRECT')
      integer		OISST_RECL
      parameter		(OISST_RECL = 4)

c ANC MET 
c --- Fortran OPEN 
      integer		ANC_MET_UNIT
      parameter		(ANC_MET_UNIT = 35) 
      character*3	ANC_MET_STATUS
      parameter		(ANC_MET_STATUS = 'OLD')
      character*11	ANC_MET_FORM
      parameter		(ANC_MET_FORM = 'UNFORMATTED')
      character*6	ANC_MET_ACCESS
      parameter		(ANC_MET_ACCESS = 'DIRECT')

c --- NOTE: record length is the entire array 
c     (360 lines) X (181 elements/line) X (30 params/element) X (4 bytes/parm)
      integer		ANC_MET_RECL
      parameter		(ANC_MET_RECL = 360 * 181 * 54 * 4)


c MOD35 CLOUDMASK  
c --- Fortran OPEN 
      integer		MOD35_MASK_UNIT
      parameter		(MOD35_MASK_UNIT = 40) 
      character*3	MOD35_MASK_STATUS
      parameter		(MOD35_MASK_STATUS = 'OLD')
      character*11	MOD35_MASK_FORM
      parameter		(MOD35_MASK_FORM = 'UNFORMATTED')
      character*6	MOD35_MASK_ACCESS
      parameter		(MOD35_MASK_ACCESS = 'DIRECT')

c ...  STATIC ATMOSPHERIC COEFFICIENT FILES ............
c DRY GAS COEFFICIENT FILE 
c --- Fortran OPEN 
      integer		DRY_GAS_UNIT
      parameter		(DRY_GAS_UNIT = 50) 
      character*3	DRY_GAS_STATUS
      parameter		(DRY_GAS_STATUS = 'OLD')
      character*11	DRY_GAS_FORM
      parameter		(DRY_GAS_FORM = 'UNFORMATTED')
      character*6	DRY_GAS_ACCESS
      parameter		(DRY_GAS_ACCESS = 'DIRECT')

c OZONE COEFFICIENT FILE 
c --- Fortran OPEN 
      integer		OZONE_UNIT
      parameter		(OZONE_UNIT = 51) 
      character*3	OZONE_STATUS
      parameter		(OZONE_STATUS = 'OLD')
      character*11	OZONE_FORM
      parameter		(OZONE_FORM = 'UNFORMATTED')
      character*6	OZONE_ACCESS
      parameter		(OZONE_ACCESS = 'DIRECT')

c WET ATMOSPHERE COEFFICIENT FILE 1
c --- Fortran OPEN 
      integer		WET1_UNIT
      parameter		(WET1_UNIT = 52) 
      character*3	WET1_STATUS
      parameter		(WET1_STATUS = 'OLD')
      character*11	WET1_FORM
      parameter		(WET1_FORM = 'UNFORMATTED')
      character*6	WET1_ACCESS
      parameter		(WET1_ACCESS = 'DIRECT')

c WET ATMOSPHERE COEFFICIENT FILE 2
c --- Fortran OPEN 
      integer		WET2_UNIT
      parameter		(WET2_UNIT = 53) 
      character*3	WET2_STATUS
      parameter		(WET2_STATUS = 'OLD')
      character*11	WET2_FORM
      parameter		(WET2_FORM = 'UNFORMATTED')
      character*6	WET2_ACCESS
      parameter		(WET2_ACCESS = 'DIRECT')

c WATER VAPOR CONTINUUM COEFFICIENT FILE
c --- Fortran OPEN 
      integer		WATER_VAPOR_UNIT
      parameter		(WATER_VAPOR_UNIT = 54) 
      character*3	WATER_VAPOR_STATUS
      parameter		(WATER_VAPOR_STATUS = 'OLD')
      character*11	WATER_VAPOR_FORM
      parameter		(WATER_VAPOR_FORM = 'UNFORMATTED')
      character*6	WATER_VAPOR_ACCESS
      parameter		(WATER_VAPOR_ACCESS = 'DIRECT')


C *** OUTPUT FILES ***

c RUNTIME DEBUG 
c --- Fortran OPEN 
      integer		DEBUG_UNIT
      parameter		(DEBUG_UNIT = 90) 
      character*7	DEBUG_STATUS
      parameter		(DEBUG_STATUS = 'UNKNOWN')
      character*9	DEBUG_FORM
      parameter		(DEBUG_FORM = 'FORMATTED')
      character*10	DEBUG_ACCESS
      parameter		(DEBUG_ACCESS = 'SEQUENTIAL')

c MOD06 Cloud Top Properties
c --- Fortran OPEN 
      integer		MOD06_CTP_UNIT
      parameter		(MOD06_CTP_UNIT = 91) 
      character*7	MOD06_CTP_STATUS
      parameter		(MOD06_CTP_STATUS = 'UNKNOWN')
      character*11	MOD06_CTP_FORM
      parameter		(MOD06_CTP_FORM = 'UNFORMATTED')
      character*6	MOD06_CTP_ACCESS
      parameter		(MOD06_CTP_ACCESS = 'DIRECT')

c MOD06 Cloud Top Properties Header file
c --- Fortran OPEN 
      integer		MOD06_HDR_UNIT
      parameter		(MOD06_HDR_UNIT = 92) 
      character*7	MOD06_HDR_STATUS
      parameter		(MOD06_HDR_STATUS = 'UNKNOWN')
      character*9	MOD06_HDR_FORM
      parameter		(MOD06_HDR_FORM = 'FORMATTED')
      character*10	MOD06_HDR_ACCESS
      parameter		(MOD06_HDR_ACCESS = 'SEQUENTIAL')

c MOD06 QUALITY CONTROL  
c --- Fortran OPEN 
      integer		MOD06_QA_UNIT
      parameter		(MOD06_QA_UNIT = 93) 
      character*7	MOD06_QA_STATUS
      parameter		(MOD06_QA_STATUS = 'UNKNOWN')
      character*11	MOD06_QA_FORM
      parameter		(MOD06_QA_FORM = 'UNFORMATTED')
      character*6	MOD06_QA_ACCESS
      parameter		(MOD06_QA_ACCESS = 'DIRECT')

c MOD06 QUALITY CONTROL Header file
c --- Fortran OPEN 
      integer		MOD06_QAHDR_UNIT
      parameter		(MOD06_QAHDR_UNIT = 94) 
      character*7	MOD06_QAHDR_STATUS
      parameter		(MOD06_QAHDR_STATUS = 'UNKNOWN')
      character*9	MOD06_QAHDR_FORM
      parameter		(MOD06_QAHDR_FORM = 'FORMATTED')
      character*10	MOD06_QAHDR_ACCESS
      parameter		(MOD06_QAHDR_ACCESS = 'SEQUENTIAL')



